* {
  box-sizing: border-box;
}

html,
body {
  min-height: 100%;
}

.container {
  width: 70%;
  margin: auto;
  text-align: center;
}

.dice {
  text-align: center;
  display: inline-block;

}

body {
  background-color: #393E46;
  min-height: 100vh;
  margin: 0;
  display: flex;
  flex-direction: column;
}

.container {
  flex: 1;
}

h1 {
  margin: 3rem;
  padding: 1rem;
  font-family: 'Lobster', cursive;
  text-shadow: 5px 0 #232931;
  font-size: 8rem;
  color: #4ECCA3;
  border: 5px solid #4ECCA3;
  border-radius: 50px;
  background-color: #232931;
  animation: bounce 1s infinite;
}

@keyframes bounce {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-20px);
  }

  100% {
    transform: translateY(0);
  }
}

p {
  font-size: 2rem;
  color: #4ECCA3;
  font-family: 'Indie Flower', cursive;
}

img {
  width: 250px;
  height: 250px;
  margin: 1rem;
  padding: 2rem;
}

.rolling {
  animation: spinCube 0.8s ease-in-out 3;
}

@keyframes spinCube {
  0% {
    transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg);
  }

  100% {
    transform: rotateY(720deg);
  }
}

#roll-button {
  background-color: #4ECCA3;
  font-family: 'Lobster', cursive;
  color: #232931;
  font-size: 2rem;
  margin-bottom: 2rem;
  padding: 1rem 1rem;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}



#roll-button:active {
  transform: scale(0.5);
  box-shadow: inset 0 0 10px #4ECCA3;
  background-color: #232931;
  color: #4ECCA3;
}

.footer-container {
  margin-top: auto;
  padding: 1rem;
  background-color: #232931;
  color: #4ECCA3;
  font-family: 'Indie Flower', cursive;
  text-align: center;
  width: 100%;
}

@media (max-width: 768px) {
  .container {
    width: 90%;
  }

  h1 {
    font-size: 5rem;
    margin: 2rem;
    padding: 0.5rem;
  }

  p {
    font-size: 1.5rem;
  }

  img {
    width: 150px;
    height: 150px;
    margin: 0.5rem;
    padding: 1rem;
  }

  #roll-button {
    font-size: 1.5rem;
    padding: 0.5rem 0.5rem;
  }
}